#include <iostream>
using namespace std;

int main()
{
    int n, l;
    cin>>n>>l;
    int h[n];
    int hf=0;
    for (int i = 0; i<n; i++)
        {
            cin>>h[i];
        }
    for (int i = 0; i<n; i++)
        {
            if (h[i]<=l) {hf=i+1;break;}
        }
    if(hf==0) cout<<-1;
    else cout<<hf;
}